# nerve-port-forwarder

A small script to configure port forwards on a fogNode. To use this script, do
this with your profile:

* Make sure you have enabled the nerve-fognode YUM repository
* Add `nerve-port-forwarder` to the list of packages to install
* Add a configuration file in `/etc/nerve/port-forwarder.yaml`
* Format of the config-file: See `port-forwarder.yaml` in this repo

## nerve-docker-forward

Forwards connections between docker networks. This is required for connections between containers deployed via
fogSM and pre-installed containers (e.g. the `influxdb` container), because pre-installed containers run in a
different docker network.

To use this script (typically on a fogOS adminVM):

* Make sure you have enabled the nerve-fognode YUM repository
* Add `nerve-docker-forwarder` to the list of packages to install
* Add a configuration file in `/etc/nerve/docker-forwarder.yaml`
* Format of the config-file: See `docker-forwarder.yaml` in this repo for an example.

This script is started as a systemd service, to make sure it's started whenever the docker daemon starts.

## Build package

Just as usual, install [git-buildrpm](https://docs.nerve-tttech.com/git-buildrpm/index.html) and do:

```
docker-buildrpm --no-rpm-sign --build-arg SPECFILE=nerve-docker-forwarder.spec
```

... and omit the `--no-rpm-sign` flag on a Jenkins build.
