%define debug_package %{nil}
 
BuildRoot:      %{buildroot}
BuildArch:      noarch
Summary:        Script to forward ports to other hosts
License:        Proprietary
Name:           nerve-port-forwarder
Version:        0.1.0
Release:        1
Source:         %{name}_%{version}.tar.gz
URL:            https://git.tttech.com/projects/NERVE/repos/nerve-git-buildrpm/
Group:          Development/Tools
Requires:       python34
Requires:       python34-ruamel-yaml

 
%description
Script to forward ports to other hosts using a YAML configuration file.

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/libvirt/hooks/ $RPM_BUILD_ROOT%{_bindir}/
cp %{name}.py $RPM_BUILD_ROOT%{_bindir}/%{name}
ln -s %{_bindir}/%{name} $RPM_BUILD_ROOT%{_sysconfdir}/libvirt/hooks/qemu
 
%files
%defattr(-,root,root)
%{_bindir}/%{name}
%attr(0755,root,root) %{_sysconfdir}/libvirt/hooks/qemu

%changelog
* Wed Sep 26 2018 Mathias Ertl <mathias.ertl@tttech.com> 0.1.0-1
- Initial release.
