%define debug_package %{nil}
 
BuildRoot:      %{buildroot}
BuildArch:      noarch
Summary:        Script to forward ports between docker networks
License:        Proprietary
Name:           nerve-docker-forwarder
Version:        0.1.0
Release:        1
Source:         %{name}_%{version}.tar.gz
URL:            https://git.tttech.com/projects/NERVE/repos/nerve-port-forwarder/
Group:          Development/Tools
Requires:       python34
Requires:       python34-ruamel-yaml
%{?systemd_requires}
BuildRequires: systemd

 
%description
Script to forward ports between docker networks

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_unitdir}/ $RPM_BUILD_ROOT%{_presetdir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp 50-%{name}.preset $RPM_BUILD_ROOT%{_presetdir}
cp %{name}.service $RPM_BUILD_ROOT%{_unitdir}
cp -a %{name}.py $RPM_BUILD_ROOT%{_bindir}/%{name}
 
%files
%defattr(-,root,root)
%{_bindir}/%{name}
%attr(0755,root,root) %{_bindir}/nerve-docker-forwarder
%{_unitdir}/%{name}.service
%{_presetdir}/50-%{name}.preset

%post
%systemd_post %{name}.service
if [ $1 -eq 1 ] ; then
    systemctl start %{name}
fi

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%changelog
* Tue Oct 09 2018 Mathias Ertl <mathias.ertl@tttech.com> 0.1.0-1
- Initial release.
